#region Copyright Syncfusion Inc. 2001-2017.
// Copyright Syncfusion Inc. 2001-2017. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

using Microsoft.AspNetCore.Mvc;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.DataSources;
using Syncfusion.Linq;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;

namespace SyncfusionASPNETCoreWebApplication1.Controllers
{
    public class HomeController : Controller
    {
        public bool IsMember { get; private set; }

        public IActionResult Index()
        {
            return View();
        }
        public class Test : DataManager       //inherit the class to show age as property of DataManager
        {
            public int ID { get; set; }
        }
        public IActionResult Get([FromBody]Test dm)
        {
            var data = new[]
                {
                    new { value = "1", data = "AE" },
                    new { value = "2", data = "UK" },
                    new { value = "3", data = "US" },
                    new { value = "4", data = "AE" },
                    new { value = "5", data = "UK" },
                    new { value = "6", data = "US" },
                    new { value = "7", data = "AE" },
                    new { value = "8", data = "UK" },
                    new { value = "9", data = "US" },
                    new { value = "11", data = "AE" },
                    new { value = "11", data = "UK" },
                    new { value = "12", data = "US" },
                    new { value = "13", data = "AE" },
                    new { value = "14", data = "UK" },
                    new { value = "15", data = "US" },
                    new { value = "16", data = "AE" },
                    new { value = "17", data = "UK" },
                    new { value = "18", data = "US" },
                };

            IEnumerable Data = data.ToList();
            DataOperations operation = new DataOperations();
            int count = Data.AsQueryable().Count();
            if (dm.Skip != 0) //Paging
            {
                Data = operation.PerformSkip(Data, dm.Skip);
            }
            if (dm.Take != 0) //Paging
            {
                Data = operation.PerformTake(Data, dm.Take);
            }

            return Json(new { result = Data, count = count });
        }
    }
}
