﻿var dm = ej.DataManager({
    url: "/Home/get", crossDomain: true,
    adaptor: new ej.UrlAdaptor()
});


$("#Grid").ejGrid({
    dataSource: dm,
    allowScrolling: true,
    allowVirtualScrolling: true,
    filterSettings: {
        filterType: "menu"
    },
    allowFiltering: true,
    scrollSettings: { width: "auto", height: 300, allowVirtualScrolling: true, virtualScrollMode: ej.Grid.VirtualScrollMode.Continuous },
    pageSettings: { enableQueryString: true, pageSize: 10 },
    columns: [
        { field: "value", headerText: "ID", isPrimarykey: true },
        { field: "data", headerText: "Email" },
    ],
    actionBegin: function (args) {
        args.model.query.addParams("ID", 10248);
    }

});

